Bug 1013287 - got permission denied error when trying to create an app with custom cartridge url
got permission denied error when trying to create an app with custom cartridg...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 01:32 EDT by Peter Ruan
Modified: 2015-05-14 19:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:58:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-09-29 01:32:45 EDT
Description of problem:
  When trying to create an app with  from custom communtiy cartridge, I get the following error msg:

(13)Permission denied: Error retrieving pid file run/httpd.pid
Remove it before continuing if it is corrupted.


Version-Release number of selected component (if applicable):
PROD

How reproducible:
always.

Steps to Reproduce:
1. rhc app create perl11 https://raw.github.com/zhangjing1/perlv2/master/metadata/manifest.yml mysql-5.1
2.
3.

Actual results:
(13)Permission denied: Error retrieving pid file run/httpd.pid
Remove it before continuing if it is corrupted.


Expected results:
success

Additional info:
Comment 1 Michal Fojtik 2013-09-30 12:01:59 EDT
IMHO you miss the 'ensure_valid_httpd_process' function here:

https://github.com/openshift/origin-server/blob/master/cartridges/openshift-origin-cartridge-perl/bin/control#L16

but it also might be some selinux problem.
Comment 2 Paul Morie 2013-10-01 09:58:11 EDT
I was able to add the 'go' cartridge, so I don't think there's any problem with the platform.  I also see that the cartridge in this bug is 5 months old.  I suggest updating the cartridge from the current perl code.

Note You need to log in before you can comment on or make changes to this bug.